goalFindMirrorPieces.mSteps = 
{
	{ action = "click", object = objectCarMirrorPiece0 },
	{ action = "click", object = objectCarMirrorPiece1 },
	{ action = "click", object = objectCarMirrorPiece2 },
	{ action = "click", object = objectCarMirrorPiece3 },
	{ action = "click", object = objectCarMirrorPiece4 },
	{ action = "click", object = objectCarMirrorPiece5 },
	{ action = "click", object = objectCarMirrorPiece6 },
	{ action = "click", object = objectCarMirrorPiece7 },
	{ action = "click", object = objectCarMirrorPiece8 },
	{ action = "click", object = objectCarMirrorPiece9 },
}
-- ----------------------------------------------------------------------------
function goalFindMirrorPieces:onStarted()
    
    objectCarMirrorPiece0:ss(kActive)
    objectCarMirrorPiece1:ss(kActive)
    objectCarMirrorPiece2:ss(kActive)
    objectCarMirrorPiece3:ss(kActive)
    objectCarMirrorPiece4:ss(kActive)
    objectCarMirrorPiece5:ss(kActive)
    objectCarMirrorPiece6:ss(kActive)
    objectCarMirrorPiece7:ss(kActive)
    objectCarMirrorPiece8:ss(kActive)
    objectCarMirrorPiece9:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalFindMirrorPieces:onClickHO(layout, object, props, x, y)

	if ((objectCarMirrorPiece0:isFoundOrUsed()) and
		(objectCarMirrorPiece1:isFoundOrUsed()) and
		(objectCarMirrorPiece2:isFoundOrUsed()) and
		(objectCarMirrorPiece3:isFoundOrUsed()) and
		(objectCarMirrorPiece4:isFoundOrUsed()) and
		(objectCarMirrorPiece5:isFoundOrUsed()) and
		(objectCarMirrorPiece6:isFoundOrUsed()) and
		(objectCarMirrorPiece7:isFoundOrUsed()) and
		(objectCarMirrorPiece8:isFoundOrUsed()) and
		(objectCarMirrorPiece9:isFoundOrUsed())
		) then
		
		self:achieved()
		
	end
	
end